Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.hipermail
Class DBMimeMultipart

    java.lang.Object
      Multipart
          com.knowgate.hipermail.DBMimeMultipart

    public class DBMimeMultipart

extends Multipart

Constructor Summary
`DBMimeMultipart(Part oMessage)`

Method Summary
`void` | `addBodyPart(MimePart part)`
`BodyPart` | `getBodyPart(int index)`
`BodyPart` | `getBodyPart(java.lang.String cid)` Get body part given its Content-Id
`int` | `getCount()`
`Part` | `getParent()`
`void` | `removeBodyPart(int iPart)`
`void` | `writeTo(java.io.OutputStream os)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DBMimeMultipart

    public DBMimeMultipart(Part oMessage)

Method Detail

### getParent

    public Part getParent()

### addBodyPart

    public void addBodyPart(MimePart part)
                     throws MessagingException

  Throws:
    `MessagingException`

### getCount

    public int getCount()

### getBodyPart

    public BodyPart getBodyPart(int index)
                         throws MessagingException

  Throws:
    `MessagingException`

### getBodyPart

    public BodyPart getBodyPart(java.lang.String cid)
                         throws MessagingException

  Get body part given its Content-Id

  Parameters:
    `cid` - String Content-Id
  Returns:
    BodyPart or null if no body part with such Content-Id is found
  Throws:
    `MessagingException`

### removeBodyPart

    public void removeBodyPart(int iPart)
                        throws MessagingException,
                               java.lang.ArrayIndexOutOfBoundsException

  Throws:
    `MessagingException`
    `java.lang.ArrayIndexOutOfBoundsException`

### writeTo

    public void writeTo(java.io.OutputStream os)
                 throws java.io.IOException,
                        MessagingException

  Throws:
    `java.io.IOException`
    `MessagingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD